bitel.billing.server.util.ssh

## Class SSHSession

- java.lang.Object
- - bitel.billing.server.util.AbstractSession
  - - bitel.billing.server.util.terminal.AbstractTerminalSession
    - - bitel.billing.server.util.ssh.SSHSession

-     public class SSHSession
      extends AbstractTerminalSession

- - ### Field Summary

    - ### Fields inherited from class bitel.billing.server.util.terminal.AbstractTerminalSession

      `endString, finder, inputStream, outPutStream, regexp, socketTimeTimeout`

    - ### Fields inherited from class bitel.billing.server.util.AbstractSession

      `host, port, sourceHost, sourcePort, timeout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSHSession(java.lang.String host, int port, java.lang.String login, java.lang.String pswd)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `disconnect()` Закрывает соединение с удаленным хостом
    `java.lang.String` | `getPrivateKeyFile()` Авторизация по ключу, путь к файлу id_rsa без ".pub"
    `protected void` | `initConnection()`
    `void` | `setPrivateKeyFile(java.lang.String privateKeyFile)` Авторизация по ключу, путь к файлу id_rsa без ".pub"

    - ### Methods inherited from class bitel.billing.server.util.terminal.AbstractTerminalSession

      `connect, doCommand, doCommandAsync, doCommandWithoutEndSymbol, getEndString, getRegexp, getRegexpBufferSize, getSocketTimeTimeout, setEndString, setReadWait, setRegexp, setRegexp, setRegexpBufferSize, setSocketTimeTimeout`

    - ### Methods inherited from class bitel.billing.server.util.AbstractSession

      `getTimeout, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSHSession

          public SSHSession(java.lang.String host,
                            int port,
                            java.lang.String login,
                            java.lang.String pswd)

  - ### Method Detail

    - #### initConnection

          protected void initConnection()
                                 throws java.lang.Exception

      Overrides:
        `initConnection` in class `AbstractTerminalSession`
      Throws:
        `java.lang.Exception`

    - #### disconnect

          public void disconnect()
                          throws ru.bitel.bgbilling.common.BGException

      Description copied from class: `AbstractTerminalSession`
      Закрывает соединение с удаленным хостом
      Overrides:
        `disconnect` in class `AbstractTerminalSession`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getPrivateKeyFile

          public java.lang.String getPrivateKeyFile()

      Авторизация по ключу, путь к файлу id_rsa без ".pub"
      Returns:

    - #### setPrivateKeyFile

          public void setPrivateKeyFile(java.lang.String privateKeyFile)

      Авторизация по ключу, путь к файлу id_rsa без ".pub"
      Parameters:
        `privateKeyFile` -